<template>
  <div>
    <component v-if="editor" :is="editors[editor]"/>
  </div>
</template>

<script>
  import CollectionsConfigurator from '../forms/collections/collections';
  import MenuConfigurator from '../forms/menu/menuConfigurator';

  export default {
    name: 'editor',
    components: { MenuConfigurator, CollectionsConfigurator },
    computed: {
      editor() {
        return this.$route.params.editor;
      },
    },
    data() {
      return {
        editors: {
          collections: CollectionsConfigurator,
          menu: MenuConfigurator,
        },
      };
    },
  };
</script>
